// pins для RGB strip
int pinRed=6;
int pinGreen=7;
int pinBlue=5;
// переменные для хранения данных с touch
int InData0 = 0, InData1 = 0, InData2 = 0, InData3 = 0, InData4 = 0, InData5 = 0;  
int TouchSensitivity = 30; // 
int AllData=0;
int tekpos=0;
// массив значений rgb ленты для разных нажатий
int leds[8][3]={{0,0,0},
              {1,0,0},  // r
              {0,1,0},  // g
              {0,0,1},  // b
              {1,1,0},  // yellow
              {1,0,1},  // r+b
              {1,1,1},  // white
              {0,0,0}   // нажато несколько
             };
void setup()
{
  Serial.begin(9600);
  for(int i = A0; i <= A5; i++)
    {
      //pins touch Red, Green, Blue, Yellow, ,White
      pinMode(5, INPUT);      
    }
  
  // настройка пинов RGB strip
  pinMode(pinRed, OUTPUT);   
  pinMode(pinGreen, OUTPUT); 
  pinMode(pinBlue, OUTPUT); 
  tekpos=random(1,3);
  setRGB(tekpos);
  //TIMSK0 &= !(1 << TOIE0);
}
 
void loop()
{
  // получение данных с touch
  InData0 = 1024 - analogRead(A0);                
  InData1 = 1024 - analogRead(A1);
  InData2 = 1024 - analogRead(A2);
  InData3 = 1024 - analogRead(A3);
  InData4 = 1024 - analogRead(A4);
  InData5 = 1024 - analogRead(A5);
  // определение нажатой
  AllData=0;
  if(InData0 >= TouchSensitivity)
     AllData=AllData+5;
  if(InData1 >= TouchSensitivity)
     AllData=AllData+6;
  if(InData2 >= TouchSensitivity)
     AllData=AllData+7;
  if(InData3 >= TouchSensitivity)
     AllData=AllData+8;
  if(InData4 >= TouchSensitivity)
     AllData=AllData+9;
  if(InData5 >= TouchSensitivity)
     AllData=AllData+10;
  // 
  AllData=min(AllData,11); 
  AllData=max(AllData,4); 
  AllData=AllData-4;   
  Serial.print("AllData=");Serial.println(AllData);
  // включение ленты   
  if(AllData>0 && AllData<7) 
    {
    tekpos=AllData;
    setRGB(tekpos);
    }   

  delay(100);
}

// процедура включения ленты
void setRGB(int pos)
  {
  digitalWrite(pinRed,leds[pos][0]);
  digitalWrite(pinGreen,leds[pos][1]);
  digitalWrite(pinBlue,leds[pos][2]);
  }

